{
	saved_duck [1]
	saved_Spawned [0]	// Number of time enemy has respawned
	saved_firstTime [1]

	Respawn[ ()
	{
		if( Level.saved_Wave1 = 1 )
		{
			if ( saved_Spawned < 1 )
			{
				saved_Spawned = saved_Spawned + 1;

				SetDead(false);
				SetHealth(256);
				GiveWeapon(56);

				Delay( Random(1,5),1);
			}
		}
	}]

	Init[()
	{

		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(1);
			GiveWeapon(56);

			PlayAnimation(9);
			SetCrouching();
			SetLineOfSight(1);
			SetWander(0);

			Delay( Random(1,5),1);
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=1 )
		{
			if( saved_duck=1 )
			{
				if( not self.IsDead() )
				{
					TurnTo( Level.GetPlayer() );

					if( Level.saved_Wave1 = 1)
					{
						SetWalking();
						PlayAnimation(13);
						SetAttackDistance(30,15);
					}else{
						SetCrouching();
						PlayAnimation(10);
						SetAttackDistance(16,2);
					}

					SetState_Patrol(0);
					saved_duck=0;
				}
			}else{
				if( not self.IsDead() )
				{
					//StopTurnTo();
					SetAttackDistance(3,2);
					SetState_Patrol(1);

					if( Level.saved_Wave1 = 1)
					{
						SetCrouching();
						PlayAnimation(8);
					}else{
						SetProne();
						PlayAnimation(9);
					}

					saved_duck=1;

				}
			}

			Delay( Random(4,8),1);
		}
		if( dy=5 )
		{
			Respawn();
		}
	}]

	OnDecay[ ()
	{
		Delay( Random(1,3),5 );
	}]
}